<?php
/**
 * Aliases for MathSearch
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'MathSearch' => [ 'MathSearch', 'Math Search' ],
	'MlpEval' => [ 'MlpEval', 'Mathematical Language Processing Evaluation' ],
	'MathDebug' => [ 'MathDebug', 'Math Debug' ],
	'FormulaInfo' => [ 'FormulaInfo', 'Formula Info' ],
	'GetEquationsByQuery' => [ 'GetEquationsByQuery', 'Get Formulae by Query' ],
	'MathIndex' => [ 'MathIndex', 'Math Index' ],
	'MathUpload' => [ 'MathUpload', 'Math Upload' ],
	'MathDownload' => [ 'MathDownload', 'Math Download' ],
	'LaTeXTranslator' => [ 'LaTeXTranslator', 'LaTeX Translator' ],
	'DisplayTopics' => [ 'DisplayTopics' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'MathSearch' => [ 'بحث_رياضيات' ],
	'MathDebug' => [ 'تصحيح_رياضيات' ],
	'FormulaInfo' => [ 'معلومات_المعادلة' ],
	'GetEquationsByQuery' => [ 'المعادلات_بواسطة_الاستعلام', 'الصيغ_بواسطة_الاستعلام' ],
	'MathIndex' => [ 'فهرس_الرياضيات' ],
	'MathUpload' => [ 'رفع_الرياضيات' ],
	'MathDownload' => [ 'تحميل_رياضيات' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'MathSearch' => [ 'بحث-رياضه' ],
	'MathDebug' => [ 'ديبج_رياضه' ],
	'FormulaInfo' => [ 'معلومات_المعادله' ],
	'GetEquationsByQuery' => [ 'هات_المعادلات_عن_طريق_الكويرى' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'MathSearch' => [ 'ریازی_ئی_گشتین' ],
	'MathDebug' => [ 'ریازی_ئی_اشکال_زدایی' ],
	'FormulaInfo' => [ 'پورمول_ئی_مالومات' ],
	'GetEquationsByQuery' => [ 'مئادل_ئی_گیپتین_گۆ_درخواستا' ],
	'MathIndex' => [ 'ریازی_ئی_نمایگ' ],
	'MathUpload' => [ 'ریازی_ئی_بُرز_کورتین' ],
	'MathDownload' => [ 'ریازی_ئی_ائیرکورتین' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'MathSearch' => [ '數學尋討' ],
	'MathDebug' => [ '數學調試' ],
	'FormulaInfo' => [ '公式信息' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'MathSearch' => [ 'MathWeb-Suche' ],
	'MathDebug' => [ 'MathWeb-Fehlerprotokoll' ],
	'FormulaInfo' => [ 'Formelinformation' ],
	'GetEquationsByQuery' => [ 'Gleichungen_durch_Abfrage' ],
	'MathIndex' => [ 'Math-Index' ],
	'MathUpload' => [ 'Math_hochladen' ],
	'MathDownload' => [ 'Math_herunterladen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'MathSearch' => [ 'CebirCıgeyren', 'Cebir_Cıgeyren' ],
	'MathDebug' => [ 'CebirWeçinen', 'Cebir_Weçinen' ],
	'FormulaInfo' => [ 'MalumataFormuler', 'Malumata_Formuler' ],
	'GetEquationsByQuery' => [ 'NeticeyaDenklemerBıgi', 'Neticeya_Denklemer_Bıgi' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'MathSearch' => [ 'جستجوی_ریاضیات' ],
	'MathDebug' => [ 'اشکال‌زدایی_ریاضیات' ],
	'FormulaInfo' => [ 'اطلاعات_فرمول' ],
	'GetEquationsByQuery' => [ 'گرفتن_معادل_با_درخواست' ],
	'MathIndex' => [ 'نمایهٔ_ریاضی' ],
	'MathUpload' => [ 'بارگذاری_ریاضی' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'MathSearch' => [ 'Procura_matemática' ],
	'MathDebug' => [ 'Depuración_matemática' ],
	'FormulaInfo' => [ 'Información_de_fórmula' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'MathSearch' => [ 'חיפוש_נוסחה' ],
	'MathDebug' => [ 'בדיקת_נוסחה' ],
	'FormulaInfo' => [ 'מידע_על_נוסחה' ],
	'GetEquationsByQuery' => [ 'קבלת_נוסחה_לפי_שאילתה' ],
	'MathIndex' => [ 'מפתח_מתמטיקה' ],
	'MathUpload' => [ 'העלאת_מתמטיקה' ],
	'MathDownload' => [ 'הורדת_מתמטיקה' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'MathSearch' => [ 'RicercaMat' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'FormulaInfo' => [ '数式情報' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'MathSearch' => [ '수학검색', '수학_검색', '수학찾기', '수학_찾기' ],
	'MathDebug' => [ '수학디버그', '수학_디버그' ],
	'FormulaInfo' => [ '수식정보', '수식_정보' ],
	'GetEquationsByQuery' => [ '쿼리별수식얻기', '퀴리별_수식_얻기' ],
	'MathIndex' => [ '수학색인', '수학_색인' ],
	'MathUpload' => [ '수학올리기', '수학_올리기' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'MathSearch' => [ 'МатПребарување' ],
	'MathDebug' => [ 'МатИсправкаГрешки' ],
	'FormulaInfo' => [ 'ФормулаИнфо' ],
	'GetEquationsByQuery' => [ 'ДајРавенкиПоБарање' ],
	'MathIndex' => [ 'МатИндекс' ],
	'MathUpload' => [ 'МатПодигање' ],
	'MathDownload' => [ 'МатПреземање' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'MathSearch' => [ 'Mathzoeken' ],
	'FormulaInfo' => [ 'Formulegegevens' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'MathSearch' => [ 'Mattesøk' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'MathSearch' => [ 'ਮੋਬਾਈਲ_ਖੋਜ', 'ਹਿਸਾਬ_ਖੋਜੋ' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'MathSearch' => [ 'RicercaMat' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'MathSearch' => [ 'Tìm_kiếm_toán_học' ],
	'MathDebug' => [ 'Gỡ_lỗi_toán_học' ],
	'FormulaInfo' => [ 'Thông_tin_công_thức' ],
	'MathUpload' => [ 'Tải_lên_toán_học' ],
];

/** Chinese (中文) */
$specialPageAliases['zh'] = [
	'MathSearch' => [ '数学搜索', '數學搜尋' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'MathSearch' => [ '数学搜索' ],
	'MathDebug' => [ '数学调试', '数学除错' ],
	'FormulaInfo' => [ '公式信息' ],
	'GetEquationsByQuery' => [ '通过查询获取方程' ],
	'MathIndex' => [ '数学公式索引' ],
	'MathUpload' => [ '数学上传' ],
	'MathDownload' => [ '数学下载' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'MathSearch' => [ '數學搜尋' ],
	'MathDebug' => [ '數學除錯' ],
	'FormulaInfo' => [ '公式資訊' ],
	'GetEquationsByQuery' => [ '查詢取得方程式' ],
	'MathIndex' => [ '數學索引' ],
	'MathUpload' => [ '數學上傳' ],
	'MathDownload' => [ '數學下載' ],
];
